# eric4.Project.UserPropertiesDialog

Module implementing the user specific project properties dialog.

### Global Attributes

None

### Classes

UserPropertiesDialog | Class implementing the user specific project properties dialog.

### Functions

None

## UserPropertiesDialog

Class implementing the user specific project properties dialog.

### Derived from

QDialog, Ui_UserPropertiesDialog

### Class Attributes

None

### Methods

UserPropertiesDialog | Constructor
storeData | Public method to store the entered/modified data.

#### UserPropertiesDialog (Constructor)

UserPropertiesDialog(project, parent = None, name = None)

Constructor

project
  reference to the project object
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)

#### UserPropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up